package ctbrec.recorder.postprocessing;

import java.io.IOException;

import org.junit.Test;

import ctbrec.Config;
import ctbrec.Recording;

public class DeleteOriginalTest extends AbstractPpTest {

    @Test
    public void testPostProcessWithSingleFile() throws IOException, InterruptedException {
        Recording rec = new Recording();
        rec.setModel(mockModel());
        rec.setAbsoluteFile(original);
        rec.setAbsoluteFile(postProcessed);
        rec.setStartDate(now);
        rec.setSingleFile(true);

        Config config = mockConfig();
        DeleteOriginal pp = new DeleteOriginal();
        pp.postprocess(rec, null, config);
    }
}
